Comment 19 for bug 1467589

Monty Taylor (mordred) wrote :

os-client-config will NEVER remove support for cinder v1. This is because there are cinder v1 installations in the wild, and users of those clouds need to be served.

To solve the issue that is mentioned above about devstack, we need to make a change to devstack to add volume_api_version: '2' to the cloud definitions in clouds.yaml when it writes the file. This will make all of the devstack client interactions use volume v2.